Bug 50456 - Invalid Error 413 crash Apache
Summary: Invalid Error 413 crash Apache
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.17
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-12-10 15:02 UTC by Ricardo
Modified: 2018-11-07 21:07 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ricardo 2010-12-10 15:02:22 UTC
Hi there,

When I upload file larger than what is defined on LimitRequestBody and ErrorDocument 413 may not formed as expected the Apache crashes with this message:

[Fri Dec 10 19:22:06 2010] [error] [client 127.0.0.1] Requested content-length of 2359550 is larger than the configured limit of 2097152, referer: http://localhost/v1/index.php/candidate/my_profile/photo/pt
[Fri Dec 10 19:22:20 2010] [notice] Parent: child process exited with status 255 -- Restarting.

Works:
ErrorDocument 413 http://localhost/v1/index.php/candidate/my_profile/photo/size_error/pt

Crashes:
ErrorDocument 413 /v1/index.php/candidate/my_profile/photo/size_error/pt

I want that the link is flexible because I have several hosts. 
Is this with wrong syntax? How can I write it?

There's any hack for this before corrected?

Thanks,
Ricardo
Comment 1 Eric Covener 2011-09-17 17:10:10 UTC
need some sign this isn't just PHP crashing in your errordocument.
Comment 2 Ricardo 2011-09-17 20:57:39 UTC
Hi Eric,
Please rephrase because I don't understand your point.

The PHP code run is the same on both cases, is this the question?
Comment 3 Eric Covener 2011-09-17 21:06:48 UTC
(In reply to comment #2)
> Hi Eric,
> Please rephrase because I don't understand your point.
> 
> The PHP code run is the same on both cases, is this the question?

It's no easy task to analyze a windows dump and tell what component crashed, much less why. But generally when Apache crashes while serving a PHP resource, the PHP interpreter is the culprit until shown otherwise.
Comment 4 Ricardo 2011-09-17 21:27:23 UTC
Eric,

The problem is this:

Works:
ErrorDocument 413
http://localhost/v1/index.php/candidate/my_profile/photo/size_error/pt

Crashes:
ErrorDocument 413 /v1/index.php/candidate/my_profile/photo/size_error/pt

PHP code is the same. The diference is the Apache isn't understanding the routing. 

What is the correct syntax for this case? I didn't found documentation.

I can have http://www.AAA.com/v1/index.php/candidate/my_profile/photo/size_error/pt
and
http://www.BBB.com/v1/index.php/candidate/my_profile/photo/size_error/pt

What's the correct ErrorDoucument definition?

Thanks
Ricardo
Comment 5 Eric Covener 2011-09-17 22:00:54 UTC
How do you know your crash is related to apache "not understanding the routing" and not PHP crashing when called for an internal redirect / local error document?

I suggest you debug the configuration without a PHP script generating the response and discuss on the user support mailing list.
Comment 6 William A. Rowe Jr. 2018-11-07 21:07:59 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.